Debian Bug report logs - #553129
squid-prefetch: maintainer-script-calls-init-script-directly prerm:3 than using invoke-rc.d. The use of invoke-rc.d to invoke the /etc/init.d/* initscripts instead of calling them directly is required. Maintainer scripts may call the init script directly only if invoke-rc.d is not available.

version graph

Package: squid-prefetch; Maintainer for squid-prefetch is Debian QA Group <packages@qa.debian.org>; Source for squid-prefetch is src:squid-prefetch.

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Thu, 29 Oct 2009 09:03:11 UTC

Severity: serious

Found in version squid-prefetch/1.1-2.2

Fixed in version squid-prefetch/1.1-2.3

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#553129; Package squid-prefetch. (Thu, 29 Oct 2009 09:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to Brian White <bcwhite@pobox.com>. (Thu, 29 Oct 2009 09:03:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: squid-prefetch: maintainer-script-calls-init-script-directly prerm:3 than using invoke-rc.d. The use of invoke-rc.d to invoke the /etc/init.d/* initscripts instead of calling them directly is required. Maintainer scripts may call the init script directly only if invoke-rc.d is not available.
Date: Thu, 29 Oct 2009 02:16:42 -0500
Package: squid-prefetch
Version: 1.1-2.2
Severity: serious
Justification: This script apparently runs an init script directly rather
User: lintian-maint@debian.org
Usertags: maintainer-script-calls-init-script-directly

Refer to Debian Policy Manual section 9.3.3.2 (Running initscripts) for details.

,----[ 9.3.3.2 Running initscripts ]
| The program invoke-rc.d is provided to make it easier for package maintainers to
| properly invoke an initscript, obeying runlevel and other locally-defined
| constraints that might limit a package's right to start, stop and otherwise
| manage services. This program may be used by maintainers in their packages'
| scripts.
| 
| The package maintainer scripts must use invoke-rc.d to invoke the /etc/init.d/*
| initscripts, instead of calling them directly.
| 
| By default, invoke-rc.d will pass any action requests (start, stop, reload,
| restart...) to the /etc/init.d script, filtering out requests to start or
| restart a service out of its intended runlevels.
| 
| Most packages will simply need to change:
| 
|      /etc/init.d/<package>
|      	      <action>
| 
| in their postinst and prerm scripts to:
| 
|      	if which invoke-rc.d >/dev/null 2>&1; then
|      		invoke-rc.d package <action>
|      	else
|      		/etc/init.d/package <action>
|      	fi
| 
| A package should register its initscript services using update-rc.d before it
| tries to invoke them using invoke-rc.d. Invocation of unregistered services may
| fail.
| 
| For more information about using invoke-rc.d, please consult its man page
| invoke-rc.d(8).
`----

        manoj


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages squid-prefetch depends on:
ii  liburi-perl                1.37+dfsg-1   Manipulates and accesses URI strin
ii  libwww-perl                5.833-1       Perl HTTP/WWW client/server librar
ii  squid                      2.7.STABLE7-1 Internet object cache (WWW proxy c

squid-prefetch recommends no packages.

squid-prefetch suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#553129; Package squid-prefetch. (Sat, 28 Nov 2009 14:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Sat, 28 Nov 2009 14:12:07 GMT) Full text and rfc822 format available.

Message #10 received at 553129@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553129@bugs.debian.org
Subject: squid-prefetch: diff for NMU version 1.1-2.3
Date: Sat, 28 Nov 2009 15:07:29 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've uploaded an NMU for squid-prefetch (versioned as 1.1-2.3). The diff
is attached to this message.

Cheers,
gregor, from the Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #372:  Forced to support NT servers; sysadmins quit. 
[squid-prefetch-1.1-2.3-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 28 Nov 2009 15:48:09 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 15:48:09 GMT) Full text and rfc822 format available.

Message #15 received at 553129-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553129-close@bugs.debian.org
Subject: Bug#553129: fixed in squid-prefetch 1.1-2.3
Date: Sat, 28 Nov 2009 15:44:28 +0000
Source: squid-prefetch
Source-Version: 1.1-2.3

We believe that the bug you reported is fixed in the latest version of
squid-prefetch, which is due to be installed in the Debian FTP archive:

squid-prefetch_1.1-2.3.dsc
  to main/s/squid-prefetch/squid-prefetch_1.1-2.3.dsc
squid-prefetch_1.1-2.3.tar.gz
  to main/s/squid-prefetch/squid-prefetch_1.1-2.3.tar.gz
squid-prefetch_1.1-2.3_all.deb
  to main/s/squid-prefetch/squid-prefetch_1.1-2.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553129@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated squid-prefetch package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Nov 2009 15:02:17 +0100
Source: squid-prefetch
Binary: squid-prefetch
Architecture: source all
Version: 1.1-2.3
Distribution: unstable
Urgency: low
Maintainer: Brian White <bcwhite@pobox.com>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 squid-prefetch - Simple page-prefetch for Squid web proxy
Closes: 553129
Changes: 
 squid-prefetch (1.1-2.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "maintainer-script-calls-init-script-directly prerm:3
     than using invoke-rc.d." (closes: #553129).
Checksums-Sha1: 
 1e8dabddab7e32bfe60395eb79393d942941c9e1 1339 squid-prefetch_1.1-2.3.dsc
 5198951c702193be9aef9959957fa8aea7863014 7829 squid-prefetch_1.1-2.3.tar.gz
 ed4bbfa5329ea956622a782152ee68162d6c7951 8016 squid-prefetch_1.1-2.3_all.deb
Checksums-Sha256: 
 60ffea3e2deccaaa0af463a283b03f07f78573c4514d98428a4f181cd5e27754 1339 squid-prefetch_1.1-2.3.dsc
 f188513e386ffcb81469794814c2d41e551b5db2a5a65ceff6b42e826259d859 7829 squid-prefetch_1.1-2.3.tar.gz
 d243bf7dbfc1243830aab6af06e17d1b940d959b8552d12b28dbbbcbd4b2236a 8016 squid-prefetch_1.1-2.3_all.deb
Files: 
 42514e3d91905440213444f56d5898f6 1339 web optional squid-prefetch_1.1-2.3.dsc
 54b7f5ec5170baf078c2b215b520d7e3 7829 web optional squid-prefetch_1.1-2.3.tar.gz
 998fa7f2c7aa6352b77537f6fb09f07d 8016 web optional squid-prefetch_1.1-2.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLES5HAAoJELs6aAGGSaoGRKYP/i5DBK0VAqovWy2j7tC5Wl0W
mXB7KQH1zi2fCdXUagI1twQvnHmbxR63iyZkDdV699ogTOPRvbW5+IoKbzUvnrNH
xawOOeF2lqBFbqlKE/W1kAsqSXY0X7HERnApf6bRllnF/2Q19f/Jp+G6J//dqgEF
BmzMXyshyK+3/OoqTXrEP984V9s8TOW9ZMUTnlxruRMiuM+LzIsxrWZhw7kbjyis
gP3/dIX9vyy1AVu6dRcqUjSpx7OzOYNPo99N71R+/wGPuCT+4XAcaig+hJ+XibAh
n3Nv2NkTeXWp9lsbY+I9XgFTu2Ym4k3qBzvnozOhyhLvHxJ2wXWaPHqVPAlZAAVs
uf37xUC2HGV1zV95dTiCbYF1rIYv87E18yQJWAHUut8DGWqU+K+ugjR7W9lw4ZV+
T2+bhhDDwB8c/Ur6O4hsW95spHIDbhDsjZvCh1oqB8xN8k6qfXblBF7r3LS903tO
l/oc5xfJ46mk1+lwMy1RZ0ObCYPq9T0Oy7BHOlxXH9+Qts0Bo+SAln6wmX+lTAt9
7YwIsHb/2MGe3lqaMJEUsgsUx2qyWXFrBbSiQ8wVhCmtlVEz4Ccx1fSDU4jybFxc
mAQjWLX9PJrEObphV5ziVQM2Uk+SghWvuLbElydjrpRDloilpqL3PQeIIilFi1sy
i8iC4jKDDQCfTYQd4wT3
=6SuQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:28:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:03:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.